Skip to content

Delete a news item

Request

You can delete a single news item.

Security
bearerAuth
Path
news_item_idintegerrequired

The unique identifier for the news item which is given by Intercom.

Example:123
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.16"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.16
curl -i -X DELETE \
  https://api.intercom.io/news/news_items/123 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.16'

Responses

successful

Bodyapplication/json
idstring

The unique identifier for the news item which you provided in the URL.

Example:"6890762"
objectstring

The type of object which was deleted - news-item.

Value:"news-item"
Example:"news-item"
deletedboolean

Whether the news item was deleted successfully or not.

Example:true
Response
{ "id": "40", "object": "news-item", "deleted": true }